DCS is not started after Upgrade to 3.2.0beta4



  • The Printer :

    Duet 3 6HC + Duet3 EXP3HC (controlling 2 heads + Bed leveling) + SBC RaspberryPi4 + 7 inches screen, Pi4 powered by a 5A power supply
    RRF 3.1.1 on both card, DWC 3.1.1

    Trying to update the printer to 3.2.0beta4 after having this problem :
    https://forum.duet3d.com/topic/20090/random-reset-during-printing

    I ugraded the EXP3HC to 3.2.0beta4 > Ok > M115 give 3.2.0beta4
    When I upgraded to 6HC 3.2.0beta4 > machine hangs (DWC was grey and bloqued during more than 15mn)
    I Shutdown the restart the machine, now I have the message : DCS is not started
    !fd1d4805-3866-4853-91af-fbe83372697e-image.png /assets/uploads/files/1606736526864-f44e56cd-084c-49fb-acb3-795c8072cb40-image.png)

    Updated the Pi :

    sudo apt update
    sudo apt upgrade duetsoftwareframework
    

    Same problem !

    Updated by hand the latest DuetWebControl 3.2.0beta4 on the Pi in

    \opt\dsf\dwc2
    

    (backup the original dwc2 folder)

    Now I have a white screen when I try to connect to the machine
    5f5bde62-53b2-490e-9ed1-7968508ec7a9-image.png

    It seems the firmware of 6HC is crashed !!

    The machine is at 2 hours drives from my office, is there a way to upload a new firmware without using USB cable ?


  • administrators

    @Philippe71 said in DCS is not started after Upgrade to 3.2.0beta4:

    Duet 3 6HC + Duet3 EXP3HC (controlling 2 heads + Bed leveling) + SBC RaspberryPi4 + 7 inches screen, Pi4 powered by a 5A power supply
    RRF 3.1.1 on both card, DWC 3.1.1

    Did you change to the unstable package feed and can you confirm that DSF 3.2.0-b4 is installed? Versions 3.1.1 and 3.2.0-b4 are NOT compatible.



  • How can I be sure...
    The printer is at a customer site (200km), how can I be sure to upgrade DSF 3.2.0beta4.
    Currently, I only have access by Secure ftp.
    Could you give me the commands ?
    Thanks



  • (I changed to beta4 because there was a bug in the RRF 3.1.1)


  • administrators

    There are two package feeds stable (DSF 3.1.1, default) and unstable (DSF 3.2.0-b4). If you don't change it, you cannot upgrade to software version 3.2.0-b4. See here.

    If you're already running DuetPi, it should be sufficient if you run

    wget -q https://pkg.duet3d.com/duet3d-unstable.list
    sudo mv duet3d-unstable.list /etc/apt/sources.list.d/duet3d.list
    sudo chown root:root /etc/apt/sources.list.d/duet3d.list
    
    sudo apt-get update
    sudo apt-get upgrade
    

    from a console to install the new beta version on the Pi.



  • It works fine, I have access to the printer now.
    Thanks a lot for your fast reply !


Log in to reply